Subject: Re: [PATCH] pci_get_slot()

From: Jeff Garzik <[email-masked]>
Date: Wed, 15 Oct 2003 15:55:48 -0400

Greg KH wrote:
> On Wed, Oct 15, 2003 at 07:50:53PM +0100, Matthew Wilcox wrote:
>>The only real way to do it is to inline pci_get_slot() into tg3.  Since I
>>also have a need for it in sym2, that doesn't seem like a sensible idea.
>>It would also be racy since it wouldn't take the pci_bus_lock.
> 
> 
> Ok, fair enough.  I'll add it to my tree to be sent to Linus after 2.6.0
> is out, if Jeff and David agree it's an ok tg3.c patch.

I'm OK with it...   I guess we'll be shipping tg3 and sym2 known-broken 
on PCI domain boxes?

Admittedly it's an uncommon case for tg3...

	Jeff